package com.microservices.pms.enums;

public enum ProjectIssueStatus {
    NEW(1,"新增","#ff6f00"),
    RESOLVING(2,"正在解决","#0d5ef8"),
    RESOLVED(3,"已解决","#13b33e"),
    CLOSE(5,"关闭","#b1aaa5"),
    REFUSE(6,"拒绝","#ff0000");


    private final Integer id;
    private final String name;
    private final String pmColor;

    ProjectIssueStatus(Integer id, String name, String pmColor) {
        this.id = id;
        this.name = name;
        this.pmColor = pmColor;
    }

    public Integer getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getPmColor() {
        return pmColor;
    }
}
